Subject: Re: bug#11714: 24.1.50; find-file completion on a remote directory

From: Stefan Monnier <[email-masked]>
Date: Sat, 23 Jun 2012 09:58:18 -0400

>> +  ;; FIXME: example of thing we do not handle: Tramp's makes
>> +  ;; (substitute-in-file-name "/foo:~/bar//baz") -> "/scpc:foo:/baz".
>> +  ;; FIXME: One way to try and handle "all" cases is to require
>> +  ;; substitute-in-file-name to preserve text-properties, so we could
>> +  ;; apply text-properties to the input string and then look for them in
>> +  ;; the output to understand what comes from where.
> Shall I do action on Tramp? If yes, could this requirement to file name
> handlers be documented?

No, we'd probably have to add a new file-name operation for that, or
change the requirements of substitute-in-file-name as suggested.
But if that will happen, it won't be before the next round of
completion changes.

        Stefan